package cn.superdesk.uniorder.dubbo.consumer.sys;

import cn.superdesk.uniorder.dao.entity.sys.SysInv;
import cn.superdesk.uniorder.dubbo.facade.sys.DubboSysInvService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


@Slf4j
@Component
public class SysInvDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboSysInvService dubboSysInvService;

	public SysInv findById(Long id) {
		return dubboSysInvService.findById(id);
	}

	public void update(SysInv t) {
		dubboSysInvService.update(t);
	}

	public SysInv add(SysInv t) {
		return dubboSysInvService.add(t);
	}
}
